.TH mixer 1 "18 March 98" "Sound Utilities"
.UC 4
.SH NAME
mixer \- query/change sound levels from the command line
.SH SYNOPSIS
.B mixer [-all] [-master[=\fIval\fP]] [-cd[=\fIval\fP]] [-dsp[=\fIval\fP]] [-fm[=\fIval\fP]] [-line[=\fIval\fP]]
.ti +1c
where \fIval\fP is a number or pair: { \fIN\fR | \fB\fIN\fB,\fIN\fB\fR }
.SH DESCRIPTION
\fBmixer\fP lets you to adjust the cd sound level and other
sound qualities.
A vaguely related program is \fBvolume\fP but
that doesn't change the cd sound level \-
for example an \fIESS1868 Audiodrive\fP is initialized to maximum 
using \fIvolume\fP,
which doesn't go well with amplifiers.
.PP
\fImixer\fP is great for scripts!
.PP
All individual options take an optional `=' and setting value.
A simple number sets left and right channels to the same value.
To set the left and right channels independently,
use two, comma-separated numbers.
Like so:
.PP
.ti +2c
mixer -master=40,70
.PP
The \fI-all\fP option option reports on all the individual options.
It is not used to set them (that wouldn't be meaningful).
.PP
The \fI-master\fP option is used for the master volume.
.PP
The \fI-cd\fP option is used for the CD sound level.
.PP
The \fI-dsp\fP option is used for the dsp output channel.
.PP
The \fI-fm\fP option is used for the fm(wavetable) output channel.
.PP
The \fI-bass\fP option is used for bass adjustment.
.PP
The \fI-treble\fP option is used for treble adjustment.
.PP
The \fI-mic\fP option is used for the microphone input channel.
.PP
The \fI-line\fP option is used for the line input channel.
.PP
The \fI-state\fP option instructs mixer to print out volume settings
as options it will accept. (try "mixer -state -all")
.SH ACKNOWLEDGEMENTS
I used \fBxmix\fP as a tool to study how to use /dev/mixer.
Most understandable code!
.PP
This project benifited from contributions of Luke Kendall, Jaakko Heinonen
and Monte Bateman.
.SH EXAMPLES
.TP 4c
.B mixer -all
Report on all the individual settings.
.TP 4c
.B RESTORE=\`mixer -state -all\`; .... ; mixer $RESTORE
Save the current settings; do stuff; restore the settings.
.TP 4c
.B mixer -master=50
Set the volume to 50.
.TP 4c
.B mixer -master=10,80
Set the volume of the left channel to 10 (quiet) and the right channel to
80 (loud).
.SH FILES
.TP 4c
.B /dev/mixer
This must be readable and writeable.
.SH SEE ALSO
volume(1), xmix(1)
.SH AUTHOR
Volodya Dergachev
.br
vdergach@math.upenn.edu
